Publishing Print Tool - Warning 00256 Export Web Map

2195
10
Jump to solution
04-04-2022 06:59 PM
MarcoPoetsch
Occasional Contributor II

Hi all,

I'm trying to publish a new web tool (print tool resp. Export Web Map).
However, I'm getting the following warning:

Server Version 10.7.1 tool ExportWebMap_server parameter Web_Map_as_JSON has changes to its datatype changed.

Server Version 10.7.1 tool ExportWebMap_server parameter Format has changes to its datatype changed.

MarcoPoetsch_0-1649123685425.png

I know there is a similar issue: https://pro.arcgis.com/en/pro-app/latest/help/analysis/geoprocessing/share-analysis/00256-server-ver...

However, it's only a warning in my case, and the message is also a bit different.

So, is there any workaround or, what will happen if I publish the tool anyway?

 

0 Kudos
1 Solution

Accepted Solutions
TanuHoque
Esri Regular Contributor

try ArcGIS Pro 2.4 that is the codebase that ArcGIS Enterprise 10.7.1 has.

View solution in original post

10 Replies
JonEmch
Esri Regular Contributor

Hey there Marco, can you comment on the version of ArcGIS Enterprise and ArcGIS Pro you are using?

Keep on keeping on!
0 Kudos
MarcoPoetsch
Occasional Contributor II

@JonEmch, thanks for you reply.
Enterprise is running on 10.7.1, ArcGIS Pro on 2.9

Would a downgrade of ArcGIS Pro help? If so, do you know what version would be best?

0 Kudos
JonEmch
Esri Regular Contributor

I would say it would be worth a shot, and Pro 2.4 would be the version you would want to try.

Keep on keeping on!
0 Kudos
TanuHoque
Esri Regular Contributor

try ArcGIS Pro 2.4 that is the codebase that ArcGIS Enterprise 10.7.1 has.

EricaCirigliano
New Contributor III

Greetings, all,

Hi, @TanuHoque , how does one figure out the appropriate version of Pro for Enterprise? I am getting this same type of message when publishing a web tool to Enterprise 10.8.1 from Pro 2.9.3.

Many thanks in advance.

0 Kudos
TanuHoque
Esri Regular Contributor

hi @EricaCirigliano 

Since you have Pro 2.9x, I would recommend you to upgrade to Enterprise 10.9.1 server. Similarly, to publish from 3.0, you should have Enterprise 11.0 to take advantage of all new capabilities. In many cases, you should still be able to publish to older server, it is just that you won't get the new functionalities.

I hope this helps.

Tanu

0 Kudos
EricaCirigliano
New Contributor III

Hi, @TanuHoque ,

Thanks so much for your reply.

I was hoping to know what version of Pro would be compatible with Server 10.8.1, since it would be much easier for me to roll back my version of Pro than to update Server (that's done above my pay grade).

I'm adding this for anyone else who runs into this problem: I got the parameter error with the ArcPy tool createFeatureClass_management. Server 10.8.1 expects the "template" parameter to come in as a "Feature Layer" data type, but as of Pro 2.7, the parameter gets sent as a "Table View" data type.

Currently, we are planning to try publishing from a Pro 2.6 installation. I don't know if that means that everything in Pro 2.6 is compatible with Server 10.8.1. I was assisted in tracking this down by our hosting company who pointed me at the python libraries invoked by server and pro.

0 Kudos
TanuHoque
Esri Regular Contributor

@EricaCirigliano 

So sorry I misunderstood it.

You are right, Pro 2.6 is compatible with 10.8.1

0 Kudos